- Home
- Resources
- Util API
HDC object statistics Web Service.
GET /util/status
Returns server status: JVM stats: freeMemory: amount of free memory in the
Java Virtual Machine maxMemory: maximum amount of memory that the Java
virtual machine will attempt to use. totalMemory: total amount of memory in
the Java virtual machine, sessionsCount: number of active
user sessions, dnConnectionsCount: number of active (in use) DB connections,
licenseStatus: license state, licenseId and checks connection with database -
databaseAccessible parameter.
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
Example of response:
{ "freeMemory": 791673504, "maxMemory": 4294967296, "totalMemory": 1801453568, "sessionsCount": 2, "dbConnectionsCount": 0,
"databaseAccessible": true, "licenseStatus": "VALID", "licenseId": "0aa32561-b077-4ab4-8129-4254b0917221" }
|
GET /util/longrunning/json
Get list of currently running processes for current user
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| processTypeId |
query |
|
|
int |
Response Body
| media type |
data type |
description |
| application/json |
array of HdcProcessStateTO
(JSON) |
JSON with list running processes
Example of response:
{"list":[{"processId":"5fed573b-9fcc-48fe-87c9-31a01961f2fe","state":"ErrorInProgress","userName":"Admin","startDate":"Wed Mar 11 11:42:44 CET 2015","operationType":"TdxmImport"}]}
|
GET /util/activities/json/{typeId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| typeId |
path |
|
|
int |
Response Body
| media type |
data type |
description |
| application/json |
array of ActivityTitleTO
(JSON) |
|
GET /util/longrunning/json/{processId}
Inspect desired long running process.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| processId |
path |
Id of long running process |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcProcessStateTO
(JSON) |
JSON with info on requested process
Example of response:
{"stage":"GettingPackageForDb","gettingPackageForDbParams":{},"processId":"5fed573b-9fcc-48fe-87c9-31a01961f2fe","state":"ErrorInProgress","userName":"Admin","startDate":"Wed Mar 11 11:42:44 CET 2015","endDate":"Wed Mar 11 11:42:48 CET 2015","operationType":"TdxmImport"}
|
GET /util/longrunning/result/{processId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| processId |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
| application/pdf |
object
|
| application/zip |
object
|
| image/* |
object
|
POST /util/longrunning/result/{processId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| processId |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /util/longrunning/result/json/{processId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| processId |
path |
|
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
| application/pdf |
object
|
| application/zip |
object
|
| image/* |
object
|